Forms

Angular Bootstrap 5 Forms

Examples and usage guidelines for form control styles, layout options, and custom components for creating a wide variety of forms.

This is a general overview with a summary of the most fundamental knowledge. For the more detailed information regarding specific form, types have a look at the dedicated documentation pages.


Basic example

A basic example of a simple login form with input fields (email and password), checkbox and submit button.

Checkbox and "forgot password" link are positioned inline by using 2 column grid layout.

Note: Most of the demo examples have a fixed width for the demo purpose.
Included code examples do not have a fixed width, so they'll naturally fill the full width of its parent element.
To control the width of the form place it in the grid, use the sizing utilities, or set the width inline.

        
            
        <form>
          <!-- Email input -->
          <mdb-form-control class="mb-4">
            <input mdbInput type="email" id="form1Example1" class="form-control" />
            <label mdbLabel class="form-label" for="form1Example1">Email address</label>
          </mdb-form-control>

          <!-- Password input -->
          <mdb-form-control class="mb-4">
            <input mdbInput type="password" id="form1Example2" class="form-control" />
            <label mdbLabel class="form-label" for="form1Example2">Password</label>
          </mdb-form-control>

          <!-- 2 column grid layout for inline styling -->
          <div class="row mb-4">
            <div class="col d-flex justify-content-center">
              <!-- Checkbox -->
              <div class="form-check">
                <input
                  mdbCheckbox
                  class="form-check-input"
                  type="checkbox"
                  value=""
                  id="form1Example3"
                  checked
                />
                <label class="form-check-label" for="form1Example3"> Remember me </label>
              </div>
            </div>

            <div class="col">
              <!-- Simple link -->
              <a href="#!">Forgot password?</a>
            </div>
          </div>

          <!-- Submit button -->
          <button mdbRipple type="button" class="btn btn-primary btn-block">Sign in</button>
        </form>
        
        
    

Every group of form fields should reside in a <form> element. MDB provides no default styling for the <form> element, but there are some powerful browser features that are provided by default.

  • New to browser forms? Consider reviewing the MDN form docs for an overview and complete list of available attributes.
  • <button>s within a <form> default to type="submit", so strive to be specific and always include a type.
  • You can disable every form element within a form with the disabled attribute on the <form>.

Since MDB applies display: block and width: 100% to almost all our form controls, forms will by default stack vertically. Additional classes can be used to vary this layout on a per-form basis.


Examples

Login form

Typical login form with additional register buttons.

Not a member? Register

or sign up with:

        
            
          <form >
            <!-- Email input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="email" id="form2Example1" class="form-control" />
              <label mdbLabel class="form-label" for="form2Example1">Email address</label>
            </mdb-form-control>

            <!-- Password input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="password" id="form2Example2" class="form-control" />
              <label mdbLabel class="form-label" for="form2Example2">Password</label>
            </mdb-form-control>

            <!-- 2 column grid layout for inline styling -->
            <div class="row mb-4">
              <div class="col d-flex justify-content-center">
                <!-- Checkbox -->
                <div class="form-check">
                  <input
                    mdbCheckbox
                    class="form-check-input"
                    type="checkbox"
                    value=""
                    id="form2Example31"
                    [checked]="true"
                  />
                  <label class="form-check-label" for="form2Example31"> Remember me </label>
                </div>
              </div>

              <div class="col">
                <!-- Simple link -->
                <a href="#!">Forgot password?</a>
              </div>
            </div>

            <!-- Submit button -->
            <button mdbRipple type="button" class="btn btn-primary btn-block mb-4">Sign in</button>

            <!-- Register buttons -->
            <div class="text-center">
              <p>Not a member? <a href="#!">Register</a></p>
              <p>or sign up with:</p>
              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-facebook-f"></i>
              </button>

              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-google"></i>
              </button>

              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-twitter"></i>
              </button>

              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-github"></i>
              </button>
            </div>
          </form>
          
        
    

Register form

Typical register form with additional register buttons.

or sign up with:

        
            
          <form>
            <!-- 2 column grid layout with text inputs for the first and last names -->
            <div class="row mb-4">
              <div class="col">
                <mdb-form-control>
                  <input mdbInput type="text" id="form3Example1" class="form-control" />
                  <label mdbLabel class="form-label" for="form3Example1">First name</label>
                </mdb-form-control>
              </div>
              <div class="col">
                <mdb-form-control>
                  <input mdbInput type="text" id="form3Example2" class="form-control" />
                  <label mdbLabel class="form-label" for="form3Example2">Last name</label>
                </mdb-form-control>
              </div>
            </div>

            <!-- Email input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="email" id="form3Example3" class="form-control" />
              <label mdbLabel class="form-label" for="form3Example3">Email address</label>
            </mdb-form-control>

            <!-- Password input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="password" id="form3Example4" class="form-control" />
              <label mdbLabel class="form-label" for="form3Example4">Password</label>
            </mdb-form-control>

            <!-- Checkbox -->
            <div class="form-check d-flex justify-content-center mb-4">
              <input
                mdbCheckbox
                class="form-check-input me-2"
                type="checkbox"
                value=""
                id="form2Example32"
                [checked]="true"
              />
              <label class="form-check-label" for="form2Example32">
                Subscribe to our newsletter
              </label>
            </div>

            <!-- Submit button -->
            <button mdbRipple type="button" class="btn btn-primary btn-block mb-4">Sign up</button>

            <!-- Register buttons -->
            <div class="text-center">
              <p>or sign up with:</p>
              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-facebook-f"></i>
              </button>

              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-google"></i>
              </button>

              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-twitter"></i>
              </button>

              <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                <i class="fab fa-github"></i>
              </button>
            </div>
          </form>
          
        
    

Contact form

Typical contact form with textarea input as a message field.

        
            
          <form>
            <!-- Name input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="text" id="form4Example1" class="form-control" />
              <label mdbLabel class="form-label" for="form4Example1">Name</label>
            </mdb-form-control>

            <!-- Email input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="email" id="form4Example2" class="form-control" />
              <label mdbLabel class="form-label" for="form4Example2">Email address</label>
            </mdb-form-control>

            <!-- Message input -->
            <mdb-form-control class="mb-4">
              <textarea mdbInput class="form-control" id="form4Example3" rows="4"></textarea>
              <label mdbLabel class="form-label" for="form4Example3">Message</label>
            </mdb-form-control>

            <!-- Checkbox -->
            <div class="form-check d-flex justify-content-center mb-4">
              <input
                mdbCheckbox
                class="form-check-input me-2"
                type="checkbox"
                value=""
                id="form4Example4"
                [checked]="true"
              />
              <label class="form-check-label" for="form4Example4">
                Send me a copy of this message
              </label>
            </div>

            <!-- Submit button -->
            <button mdbRipple type="button" class="btn btn-primary btn-block mb-4">Send</button>
          </form>
          
        
    

Subscription form

A typical subscription form used when subscribing to the newsletter.

        
            
          <form>
            <!-- Name input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="text" id="form5Example1" class="form-control" />
              <label mdbLabel class="form-label" for="form5Example1">Name</label>
            </mdb-form-control>

            <!-- Email input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="email" id="form5Example2" class="form-control" />
              <label mdbLabel class="form-label" for="form5Example2">Email address</label>
            </mdb-form-control>

            <!-- Checkbox -->
            <div class="form-check d-flex justify-content-center mb-4">
              <input
                mdbCheckbox
                class="form-check-input me-2"
                type="checkbox"
                value=""
                id="form5Example3"
                [checked]="true"
              />
              <label class="form-check-label" for="form5Example3">
                I have read and agree to the terms
              </label>
            </div>

            <!-- Submit button -->
            <button mdbRipple type="button" class="btn btn-primary btn-block mb-4">
              Subscribe
            </button>
          </form>
          
        
    

Checkout form

An example of the extended form with typical checkout inputs.

        
            
          <form>
            <!-- 2 column grid layout with text inputs for the first and last names -->
            <div class="row mb-4">
              <div class="col">
                <mdb-form-control>
                  <input mdbInput type="text" id="form6Example1" class="form-control" />
                  <label mdbLabel class="form-label" for="form6Example1">First name</label>
                </mdb-form-control>
              </div>
              <div class="col">
                <mdb-form-control>
                  <input mdbInput type="text" id="form6Example2" class="form-control" />
                  <label mdbLabel class="form-label" for="form6Example2">Last name</label>
                </mdb-form-control>
              </div>
            </div>

            <!-- Text input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="text" id="form6Example3" class="form-control" />
              <label mdbLabel class="form-label" for="form6Example3">Company name</label>
            </mdb-form-control>

            <!-- Text input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="text" id="form6Example4" class="form-control" />
              <label mdbLabel class="form-label" for="form6Example4">Address</label>
            </mdb-form-control>

            <!-- Email input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="email" id="form6Example5" class="form-control" />
              <label mdbLabel class="form-label" for="form6Example5">Email</label>
            </mdb-form-control>

            <!-- Number input -->
            <mdb-form-control class="mb-4">
              <input mdbInput type="number" id="form6Example6" class="form-control" />
              <label mdbLabel class="form-label" for="form6Example6">Phone</label>
            </mdb-form-control>

            <!-- Message input -->
            <mdb-form-control class="mb-4">
              <textarea mdbInput class="form-control" id="form6Example7" rows="4"></textarea>
              <label mdbLabel class="form-label" for="form6Example7">Additional information</label>
            </mdb-form-control>

            <!-- Checkbox -->
            <div class="form-check d-flex justify-content-center mb-4">
              <input
                mdbCheckbox
                class="form-check-input me-2"
                type="checkbox"
                value=""
                id="form6Example8"
                [checked]="true"
              />
              <label class="form-check-label" for="form6Example8"> Create an account? </label>
            </div>

            <!-- Submit button -->
            <button mdbRipple type="button" class="btn btn-primary btn-block mb-4">
              Place order
            </button>
          </form>
          
        
    

Login-register

By using pills you can place login and register forms into a single component.

Sign in with:

or:

Not a member? Register

Sign up with:

or:

        
            
          <mdb-tabs [pills]="true" [fill]="true">
            <mdb-tab title="Login">
              <form>
                <div class="text-center mb-3">
                  <p>Sign in with:</p>
                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-facebook-f"></i>
                  </button>

                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-google"></i>
                  </button>

                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-twitter"></i>
                  </button>

                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-github"></i>
                  </button>
                </div>

                <p class="text-center">or:</p>

                <!-- Email input -->
                <mdb-form-control class="mb-4">
                  <input mdbInput type="email" id="loginName" class="form-control" />
                  <label mdbLabel class="form-label" for="loginName">Email or username</label>
                </mdb-form-control>

                <!-- Password input -->
                <mdb-form-control class="mb-4">
                  <input mdbInput type="password" id="loginPassword" class="form-control" />
                  <label mdbLabel class="form-label" for="loginPassword">Password</label>
                </mdb-form-control>

                <!-- 2 column grid layout -->
                <div class="row mb-4">
                  <div class="col-md-6 d-flex justify-content-center">
                    <!-- Checkbox -->
                    <div class="form-check mb-3 mb-md-0">
                      <input
                        mdbCheckbox
                        class="form-check-input"
                        type="checkbox"
                        value=""
                        id="loginCheck"
                        [checked]="true"
                      />
                      <label class="form-check-label" for="loginCheck"> Remember me </label>
                    </div>
                  </div>

                  <div class="col-md-6 d-flex justify-content-center">
                    <!-- Simple link -->
                    <a href="#!">Forgot password?</a>
                  </div>
                </div>

                <!-- Submit button -->
                <button mdbRipple type="submit" class="btn btn-primary btn-block mb-4">
                  Sign in
                </button>

                <!-- Register buttons -->
                <div class="text-center">
                  <p>Not a member? <a href="#!">Register</a></p>
                </div>
              </form></mdb-tab
            >
            <mdb-tab title="Register">
              <form>
                <div class="text-center mb-3">
                  <p>Sign up with:</p>
                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-facebook-f"></i>
                  </button>

                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-google"></i>
                  </button>

                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-twitter"></i>
                  </button>

                  <button mdbRipple type="button" class="btn btn-secondary btn-floating mx-1">
                    <i class="fab fa-github"></i>
                  </button>
                </div>

                <p class="text-center">or:</p>

                <!-- Name input -->
                <mdb-form-control class="mb-4">
                  <input mdbInput type="text" id="registerName" class="form-control" />
                  <label mdbLabel class="form-label" for="registerName">Name</label>
                </mdb-form-control>

                <!-- Username input -->
                <mdb-form-control class="mb-4">
                  <input mdbInput type="text" id="registerUsername" class="form-control" />
                  <label mdbLabel class="form-label" for="registerUsername">Username</label>
                </mdb-form-control>

                <!-- Email input -->
                <mdb-form-control class="mb-4">
                  <input mdbInput type="email" id="registerEmail" class="form-control" />
                  <label mdbLabel class="form-label" for="registerEmail">Email</label>
                </mdb-form-control>

                <!-- Password input -->
                <mdb-form-control class="mb-4">
                  <input mdbInput type="password" id="registerPassword" class="form-control" />
                  <label mdbLabel class="form-label" for="registerPassword">Password</label>
                </mdb-form-control>

                <!-- Repeat Password input -->
                <mdb-form-control class="mb-4">
                  <input
                    mdbInput
                    type="password"
                    id="registerRepeatPassword"
                    class="form-control"
                  />
                  <label mdbLabel class="form-label" for="registerRepeatPassword"
                    >Repeat password</label
                  >
                </mdb-form-control>

                <!-- Checkbox -->
                <div class="form-check d-flex justify-content-center mb-4">
                  <input
                    mdbCheckbox
                    class="form-check-input me-2"
                    type="checkbox"
                    value=""
                    id="registerCheck"
                    [checked]="true"
                    aria-label="registerCheckHelpText"
                  />
                  <label class="form-check-label" for="registerCheck">
                    I have read and agree to the terms
                  </label>
                </div>

                <!-- Submit button -->
                <button mdbRipple type="submit" class="btn btn-primary btn-block mb-3">
                  Sign in
                </button>
              </form></mdb-tab
            >
          </mdb-tabs>
          
        
    

Layout

There are multiple ways to structure forms and provide them the desired layout. Have a look at the examples below to learn more about forms layout.

Utilities

Margin utilities are the easiest way to add some structure to forms. They provide basic grouping of labels, controls, optional form text, and form validation messaging. We recommend sticking to margin-bottom utilities, and using a single direction throughout the form for consistency.

Feel free to build your forms however you like, with <fieldset>s, <div>s, or nearly any other element.

In the example below, we add .mb-4 class to provide a proper margin between two input fields.

        
            
          <!-- Name input -->
          <mdb-form-control class="mb-4">
            <input mdbInput type="text" id="form7Example1" class="form-control" />
            <label mdbLabel class="form-label" for="form7Example1">Name</label>
          </mdb-form-control>

          <!-- Email input -->
          <mdb-form-control>
            <input mdbInput type="email" id="form7Example2" class="form-control" />
            <label mdbLabel class="form-label" for="form7Example2">Email address</label>
          </mdb-form-control>
          
        
    

Form grid

More complex forms can be built using our grid classes. Use these for form layouts that require multiple columns, varied widths, and additional alignment options. Requires the $enable-grid-classes Sass variable to be enabled (on by default).


        
            
          <div class="row">
            <div class="col">
              <!-- Name input -->
              <mdb-form-control>
                <input mdbInput type="text" id="form8Example1" class="form-control" />
                <label mdbLabel class="form-label" for="form8Example1">Name</label>
              </mdb-form-control>
            </div>
            <div class="col">
              <!-- Email input -->
              <mdb-form-control>
                <input mdbInput type="email" id="form8Example2" class="form-control" />
                <label mdbLabel class="form-label" for="form8Example2">Email address</label>
              </mdb-form-control>
            </div>
          </div>

          <hr />

          <div class="row">
            <div class="col">
              <!-- Name input -->
              <mdb-form-control>
                <input mdbInput type="text" id="form8Example3" class="form-control" />
                <label mdbLabel class="form-label" for="form8Example3">First name</label>
              </mdb-form-control>
            </div>
            <div class="col">
              <!-- Name input -->
              <mdb-form-control>
                <input mdbInput type="text" id="form8Example4" class="form-control" />
                <label mdbLabel class="form-label" for="form8Example4">Last name</label>
              </mdb-form-control>
            </div>
            <div class="col">
              <!-- Email input -->
              <mdb-form-control>
                <input mdbInput type="email" id="form8Example5" class="form-control" />
                <label mdbLabel class="form-label" for="form8Example5">Email address</label>
              </mdb-form-control>
            </div>
          </div>
          
        
    

Gutters

By adding gutter modifier classes, you can have control over the gutter width in as well the inline as block direction. Also requires the $enable-grid-classes Sass variable to be enabled (on by default).


        
            
          <!-- Gutter g-1 -->
          <div class="row g-1">
            <div class="col">
              <!-- Name input -->
              <mdb-form-control>
                <input mdbInput type="text" id="form9Example1" class="form-control" />
                <label mdbLabel class="form-label" for="form9Example1">Name</label>
              </mdb-form-control>
            </div>
            <div class="col">
              <!-- Email input -->
              <mdb-form-control>
                <input mdbInput type="email" id="form9Example2" class="form-control" />
                <label mdbLabel class="form-label" for="form9Example2">Email address</label>
              </mdb-form-control>
            </div>
          </div>

          <hr />

          <!-- Gutter g-5 -->
          <div class="row g-5">
            <div class="col">
              <!-- Name input -->
              <mdb-form-control>
                <input mdbInput type="text" id="form9Example3" class="form-control" />
                <label mdbLabel class="form-label" for="form9Example3">Name</label>
              </mdb-form-control>
            </div>
            <div class="col">
              <!-- Email input -->
              <mdb-form-control>
                <input mdbInput type="email" id="form9Example4" class="form-control" />
                <label mdbLabel class="form-label" for="form9Example4">Email address</label>
              </mdb-form-control>
            </div>
          </div>
          
        
    

Column sizing

As shown in the previous examples, our grid system allows you to place any number of .cols within a .row. They’ll split the available width equally between them. You may also pick a subset of your columns to take up more or less space, while the remaining .cols equally split the rest, with specific column classes like .col-sm-7.

        
            
          <div class="row g-3">
            <div class="col-sm-7">
              <mdb-form-control>
                <input mdbInput type="text" id="form10Example1" class="form-control" />
                <label mdbLabel class="form-label" for="form10Example1">Name</label>
              </mdb-form-control>
            </div>
            <div class="col-sm">
              <mdb-form-control>
                <input mdbInput type="text" id="form10Example2" class="form-control" />
                <label mdbLabel class="form-label" for="form10Example2">Name</label>
              </mdb-form-control>
            </div>
            <div class="col-sm">
              <mdb-form-control>
                <input mdbInput type="text" id="form10Example3" class="form-control" />
                <label mdbLabel class="form-label" for="form10Example3">Name</label>
              </mdb-form-control>
            </div>
          </div>
          
        
    

Auto-sizing

The example below uses a flexbox utility to vertically center the contents and changes .col to .col-auto so that your columns only take up as much space as needed. Put another way, the column sizes itself based on the contents.

        
            
          <form class="row gy-2 gx-3 align-items-center">
            <div class="col-auto">
              <mdb-form-control>
                <input mdbInput type="text" id="form11Example1" class="form-control" />
                <label mdbLabel class="form-label" for="form11Example1">Label</label>
              </mdb-form-control>
            </div>
            <div class="col-auto">
              <div class="form-check">
                <input
                  mdbCheckbox
                  class="form-check-input"
                  type="checkbox"
                  value=""
                  id="form11Example2"
                  [checked]="true"
                />
                <label class="form-check-label" for="form11Example2"> Checked </label>
              </div>
            </div>
            <div class="col-auto">
              <mdb-form-control>
                <input mdbInput type="text" id="form11Example3" class="form-control" />
                <label mdbLabel class="form-label" for="form11Example3">Label</label>
              </mdb-form-control>
            </div>
            <div class="col-auto">
              <div class="form-check form-switch">
                <input class="form-check-input" type="checkbox" id="form11Example4" checked />
                <label class="form-check-label" for="form11Example4"
                  >Checked switch checkbox input</label
                >
              </div>
            </div>
            <div class="col-auto">
              <button mdbRipple type="submit" class="btn btn-primary">Submit</button>
            </div>
          </form>
          
        
    

Inline forms

Use the .row-cols-* classes to create responsive horizontal layouts. By adding gutter modifier classes, we’ll have gutters in horizontal and vertical directions. On narrow mobile viewports, the .col-12 helps stack the form controls and more. The .align-items-center aligns the form elements to the middle, making the .form-checkbox align properly.

@
        
            
          <form class="row row-cols-lg-auto g-3 align-items-center">
            <div class="col-12">
              <label class="visually-hidden" for="inlineFormInputGroupUsername">Username</label>
              <div class="input-group">
                <div class="input-group-text">@</div>
                <input
                  type="text"
                  class="form-control"
                  id="inlineFormInputGroupUsername"
                  placeholder="Username"
                />
              </div>
            </div>

            <div class="col-12">
              <mdb-form-control>
                <mdb-select [value]="'1'">
                  <mdb-option *ngFor="let option of options" [value]="option.value">{{
                    option.label
                  }}</mdb-option>
                </mdb-select>
                <label class="visually-hidden">Preference</label>
              </mdb-form-control>
            </div>

            <div class="col-12">
              <div class="form-check">
                <input mdbCheckbox class="form-check-input" type="checkbox" id="inlineFormCheck" />
                <label class="form-check-label" for="inlineFormCheck"> Remember me </label>
              </div>
            </div>

            <div class="col-12">
              <button mdbRipple type="submit" class="btn btn-primary">Submit</button>
            </div>
          </form>
          
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            options = [
              { value: '1', label: 'One' },
              { value: '2', label: 'Two' },
              { value: '3', label: 'Three' },
              { value: '4', label: 'Four' },
              { value: '5', label: 'Five' },
              { value: '6', label: 'Six' },
              { value: '7', label: 'Seven' },
              { value: '8', label: 'Eigth' },
            ];
          }
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Forms

React 5 Forms

Examples and usage guidelines for form control styles, layout options, and custom components for creating a wide variety of forms.

This is a general overview with a summary of the most fundamental knowledge. For the more detailed information regarding specific form, types have a look at the dedicated documentation pages.


Basic example

A basic example of a simple login form with input fields (email and password), checkbox and submit button.

Checkbox and "forgot password" link are positioned inline by using 2 column grid layout.

Note: Most of the demo examples have a fixed width for the demo purpose.
Included code examples do not have a fixed width, so they'll naturally fill the full width of its parent element.
To control the width of the form place it in the grid, use the sizing utilities, or set the width inline.

        
            
            import React from 'react';
            import { 
              MDBInput,
              MDBCol,
              MDBRow,
              MDBCheckbox,
              MDBBtn
            } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <form>
                  <MDBInput className='mb-4' type='email' id='form1Example1' label='Email address' />
                  <MDBInput className='mb-4' type='password' id='form1Example2' label='Password' />
    
                  <MDBRow className='mb-4'>
                    <MDBCol className='d-flex justify-content-center'>
                      <MDBCheckbox id='form1Example3' label='Remember me' defaultChecked />
                    </MDBCol>
                    <MDBCol>
                      <a href='#!'>Forgot password?</a>
                    </MDBCol>
                  </MDBRow>
    
                  <MDBBtn type='submit' block>
                    Sign in
                  </MDBBtn>
                </form>
              );
            }
          
        
    

Every group of form fields should reside in a <form> element. MDB provides no default styling for the <form> element, but there are some powerful browser features that are provided by default.

  • New to browser forms? Consider reviewing the MDN form docs for an overview and complete list of available attributes.
  • <button>s within a <form> default to type="submit", so strive to be specific and always include a type.
  • You can disable every form element within a form with the disabled attribute on the <form>.

Since MDB applies display: block and width: 100% to almost all our form controls, forms will by default stack vertically. Additional classes can be used to vary this layout on a per-form basis.


Examples

Login form

Typical login form with additional register buttons.

Not a member? Register

or sign up with:

        
            
              import React from 'react';
              import { 
                MDBInput,
                MDBCol,
                MDBRow,
                MDBCheckbox,
                MDBBtn,
                MDBIcon
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <form>
                    <MDBInput className='mb-4' type='email' id='form2Example1' label='Email address' />
                    <MDBInput className='mb-4' type='password' id='form2Example2' label='Password' />
      
                    <MDBRow className='mb-4'>
                      <MDBCol className='d-flex justify-content-center'>
                        <MDBCheckbox id='form2Example3' label='Remember me' defaultChecked />
                      </MDBCol>
                      <MDBCol>
                        <a href='#!'>Forgot password?</a>
                      </MDBCol>
                    </MDBRow>
      
                    <MDBBtn type='submit' className='mb-4' block>
                      Sign in
                    </MDBBtn>
      
                    <div className='text-center'>
                      <p>
                        Not a member? <a href='#!'>Register</a>
                      </p>
                      <p>or sign up with:</p>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='facebook-f' />
                      </MDBBtn>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='google' />
                      </MDBBtn>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='twitter' />
                      </MDBBtn>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='github' />
                      </MDBBtn>
                    </div>
                  </form>
                );
              }
            
        
    

Register form

Typical register form with additional register buttons.

or sign up with:

        
            
              import React from 'react';
              import { 
                MDBInput,
                MDBCol,
                MDBRow,
                MDBCheckbox,
                MDBBtn,
                MDBIcon
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <form>
                    <MDBRow className='mb-4'>
                      <MDBCol>
                        <MDBInput id='form3Example1' label='First name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form3Example2' label='Last name' />
                      </MDBCol>
                    </MDBRow>
                    <MDBInput className='mb-4' type='email' id='form3Example3' label='Email address' />
                    <MDBInput className='mb-4' type='password' id='form3Example4' label='Password' />
      
                    <MDBCheckbox
                      wrapperClass='d-flex justify-content-center mb-4'
                      id='form3Example5'
                      label='Subscribe to our newsletter'
                      defaultChecked
                    />
      
                    <MDBBtn type='submit' className='mb-4' block>
                      Sign in
                    </MDBBtn>
      
                    <div className='text-center'>
                      <p>
                        Not a member? <a href='#!'>Register</a>
                      </p>
                      <p>or sign up with:</p>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='facebook-f' />
                      </MDBBtn>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='google' />
                      </MDBBtn>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='twitter' />
                      </MDBBtn>
      
                      <MDBBtn floating color="secondary" className='mx-1'>
                        <MDBIcon fab icon='github' />
                      </MDBBtn>
                    </div>
                  </form>
                );
              }
            
        
    

Contact form

Typical contact form with textarea input as a message field.

        
            
              import React from 'react';
              import { 
                MDBInput,
                MDBCheckbox,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <form>
                    <MDBInput id='form4Example1' wrapperClass='mb-4' label='Name' />
                    <MDBInput type='email' id='form4Example2' wrapperClass='mb-4' label='Email address' />
                    <MDBInput wrapperClass='mb-4' textarea id='form4Example3' rows={4} label='Message' />
      
                    <MDBCheckbox
                      wrapperClass='d-flex justify-content-center mb-4'
                      id='form4Example4'
                      label='Send me a copy of this message'
                      defaultChecked
                    />
      
                    <MDBBtn type='submit' className='mb-4' block>
                      Sign in
                    </MDBBtn>
                  </form>
                );
              }
            
        
    

Subscription form

A typical subscription form used when subscribing to the newsletter.

        
            
              import React from 'react';
              import { 
                MDBInput,
                MDBCheckbox,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <form>
                    <MDBInput className='mb-4' id='form5Example1' label='Name' />
                    <MDBInput className='mb-4' type='email' id='form5Example2' label='Email address' />
      
                    <MDBCheckbox
                      wrapperClass='d-flex justify-content-center mb-4'
                      id='form5Example3'
                      label='I have read and agree to the terms'
                      defaultChecked
                    />
      
                    <MDBBtn type='submit' block>
                      Subscribe
                    </MDBBtn>
                  </form>
                );
              }
            
        
    

Checkout form

An example of the extended form with typical checkout inputs.

        
            
              import React from 'react';
              import { 
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <form>
                    <MDBRow className='mb-4'>
                      <MDBCol>
                        <MDBInput id='form6Example1' label='First name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form6Example2' label='Last name' />
                      </MDBCol>
                    </MDBRow>
      
                    <MDBInput wrapperClass='mb-4' id='form6Example3' label='Company name' />
                    <MDBInput wrapperClass='mb-4' id='form6Example4' label='Address' />
                    <MDBInput wrapperClass='mb-4' type='email' id='form6Example5' label='Email' />
                    <MDBInput wrapperClass='mb-4' type='tel' id='form6Example6' label='Phone' />
      
                    <MDBInput wrapperClass='mb-4' textarea id='form6Example7' rows={4} label='Additional information' />
      
                    <MDBCheckbox
                      wrapperClass='d-flex justify-content-center mb-4'
                      id='form6Example8'
                      label='Create an account?'
                      defaultChecked
                    />
      
                    <MDBBtn className='mb-4' type='submit' block>
                      Place order
                    </MDBBtn>
                  </form>
                );
              }
            
        
    

Login-register

By using pills you can place login and register forms into a single component.

Sign in with:

or:

Not a member? Register

Sign up with:

or:

        
            
              import React from 'react';
              import { 
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBIcon,
                MDBTabs,
                MDBTabsItem,
                MDBTabsLink,
                MDBTabsContent,
                MDBTabsPane
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <div>
                    <MDBTabs pills justify className='mb-3'>
                      <MDBTabsItem>
                        <MDBTabsLink
                          onClick={() => handleLoginRegisterClick('login')}
                          active={loginRegisterActive === 'login'}
                        >
                          Login
                        </MDBTabsLink>
                      </MDBTabsItem>
                      <MDBTabsItem>
                        <MDBTabsLink
                          onClick={() => handleLoginRegisterClick('register')}
                          active={loginRegisterActive === 'register'}
                        >
                          Register
                        </MDBTabsLink>
                      </MDBTabsItem>
                    </MDBTabs>
      
                    <MDBTabsContent>
                      <MDBTabsPane show={loginRegisterActive === 'login'}>
                        <form>
                          <div className='text-center mb-3'>
                            <p>Sign up with:</p>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='facebook-f' />
                            </MDBBtn>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='google' />
                            </MDBBtn>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='twitter' />
                            </MDBBtn>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='github' />
                            </MDBBtn>
                          </div>
      
                          <p className='text-center'>or:</p>
      
                          <MDBInput className='mb-4' type='email' id='form7Example1' label='Email address' />
                          <MDBInput className='mb-4' type='password' id='form7Example2' label='Password' />
      
                          <MDBRow className='mb-4'>
                            <MDBCol className='d-flex justify-content-center'>
                              <MDBCheckbox id='form7Example3' label='Remember me' defaultChecked />
                            </MDBCol>
                            <MDBCol>
                              <a href='#!'>Forgot password?</a>
                            </MDBCol>
                          </MDBRow>
      
                          <MDBBtn type='submit' className='mb-4' block>
                            Sign in
                          </MDBBtn>
      
                          <div className='text-center'>
                            <p>
                              Not a member? <a href='#!'>Register</a>
                            </p>
                          </div>
                        </form>
                      </MDBTabsPane>
                      <MDBTabsPane show={loginRegisterActive === 'register'}>
                        <form>
                          <div className='text-center mb-3'>
                            <p>Sign up with:</p>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='facebook-f' />
                            </MDBBtn>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='google' />
                            </MDBBtn>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='twitter' />
                            </MDBBtn>
      
                            <MDBBtn floating color="secondary" className='mx-1'>
                              <MDBIcon fab icon='github' />
                            </MDBBtn>
                          </div>
      
                          <p className='text-center'>or:</p>
      
                          <MDBInput className='mb-4' id='form8Example1' label='Name' />
                          <MDBInput className='mb-4' id='form8Example2' label='Username' />
                          <MDBInput className='mb-4' type='email' id='form8Example3' label='Email address' />
                          <MDBInput className='mb-4' type='password' id='form8Example4' label='Password' />
                          <MDBInput className='mb-4' type='password' id='form8Example5' label='Repeat password' />
      
                          <MDBCheckbox
                            wrapperClass='d-flex justify-content-center mb-4'
                            id='form8Example6'
                            label='I have read and agree to the terms'
                            defaultChecked
                          />
      
                          <MDBBtn type='submit' className='mb-4' block>
                            Sign in
                          </MDBBtn>
                        </form>
                      </MDBTabsPane>
                    </MDBTabsContent>
                  </div>
                );
              }
            
        
    

Layout

There are multiple ways to structure forms and provide them the desired layout. Have a look at the examples below to learn more about forms layout.

Utilities

Margin utilities are the easiest way to add some structure to forms. They provide basic grouping of labels, controls, optional form text, and form validation messaging. We recommend sticking to margin-bottom utilities, and using a single direction throughout the form for consistency.

Feel free to build your forms however you like, with <fieldset>s, <div>s, or nearly any other element.

In the example below, we add .mb-4 class to provide a proper margin between two input fields.

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <>
                    <MDBInput wrapperClass='mb-4' id='form9Example1' label='Name' />
                    <MDBInput wrapperClass='mb-4' id='form9Example2' label='Email address' type='email' />
                  </>
                );
              }
            
        
    

Form grid

More complex forms can be built using our grid classes. Use these for form layouts that require multiple columns, varied widths, and additional alignment options. Requires the $enable-grid-classes Sass variable to be enabled (on by default).


        
            
              import React from 'react';
              import { MDBInput, MDBRow, MDBCol } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <>
                    <MDBRow>
                      <MDBCol>
                        <MDBInput id='form10Example1' label='Name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form10Example2' label='Email address' type='email' />
                      </MDBCol>
                    </MDBRow>
        
                    <hr />
        
                    <MDBRow>
                      <MDBCol>
                        <MDBInput id='form10Example3' label='First name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form10Example4' label='Last name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form10Example5' label='Email address' type='email' />
                      </MDBCol>
                    </MDBRow>
                  </>
                );
              }
            
        
    

Gutters

By adding gutter modifier classes, you can have control over the gutter width in as well the inline as block direction. Also requires the $enable-grid-classes Sass variable to be enabled (on by default).


        
            
              import React from 'react';
              import { MDBInput, MDBRow, MDBCol } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <>
                    <MDBRow className='g-1'>
                      <MDBCol>
                        <MDBInput id='form11Example1' label='Name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form11Example2' label='Email address' type='email' />
                      </MDBCol>
                    </MDBRow>
        
                    <hr />
        
                    <MDBRow className='g-5'>
                      <MDBCol>
                        <MDBInput id='form11Example4' label='Name' />
                      </MDBCol>
                      <MDBCol>
                        <MDBInput id='form11Example5' label='Email address' type='email' />
                      </MDBCol>
                    </MDBRow>
                  </>
                );
              }
            
        
    

Column sizing

As shown in the previous examples, our grid system allows you to place any number of .cols within a .row. They’ll split the available width equally between them. You may also pick a subset of your columns to take up more or less space, while the remaining .cols equally split the rest, with specific column classes like .col-sm-7.

        
            
              import React from 'react';
              import { MDBInput, MDBRow, MDBCol } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBRow className='g-3'>
                    <MDBCol sm='7'>
                      <MDBInput id='form12Example1' label='Name' />
                    </MDBCol>
                    <MDBCol size='sm'>
                      <MDBInput id='form12Example2' label='Name' />
                    </MDBCol>
                    <MDBCol size='sm'>
                      <MDBInput id='form12Example3' label='Name' />
                    </MDBCol>
                  </MDBRow>
                );
              }
            
        
    

Auto-sizing

The example below uses a flexbox utility to vertically center the contents and changes .col to .col-auto so that your columns only take up as much space as needed. Put another way, the column sizes itself based on the contents.

        
            
              import React from 'react';
              import {
                MDBInput,
                MDBRow,
                MDBCol,
                MDBCheckbox,
                MDBSwitch,
                MDBBtn
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBRow tag='form' className='gy-2 gx-3 align-items-center'>
                    <MDBCol size='auto'>
                      <MDBInput id='form13Example1' label='Label' />
                    </MDBCol>
                    <MDBCol size='auto'>
                      <MDBCheckbox id='form13Example2' label='Checked' defaultChecked />
                    </MDBCol>
                    <MDBCol size='auto'>
                      <MDBInput id='form13Example3' label='Label' />
                    </MDBCol>
                    <MDBCol size='auto'>
                      <MDBSwitch id='form13Example4' label='Checked switch checkbox input' defaultChecked />
                    </MDBCol>
                    <MDBCol size='auto'>
                      <MDBBtn type='submit'>Submit</MDBBtn>
                    </MDBCol>
                  </MDBRow>
                );
              }
            
        
    

Inline forms

Use the .row-cols-* classes to create responsive horizontal layouts. By adding gutter modifier classes, we’ll have gutters in horizontal and vertical directions. On narrow mobile viewports, the .col-12 helps stack the form controls and more. The .align-items-center aligns the form elements to the middle, making the .form-checkbox align properly.

@
        
            
              import React, { useMemo } from 'react';
              import {
                MDBRow,
                MDBCol,
                MDBCheckbox,
                MDBSwitch,
                MDBBtn,
                MDBInputGroup,
                MDBInputGroupElement,
                MDBInputGroupText
              } from 'mdb-react-ui-kit';
      
              export default function App() {
                const selectData = useMemo(() => [
                  { text: 'One', value: 1, defaultSelected: true },
                  { text: 'Two', value: 2 },
                  { text: 'Three', value: 3 },
                  { text: 'Four', value: 4 },
                  { text: 'Five', value: 5 },
                  { text: 'Six', value: 6 },
                  { text: 'Seven', value: 7 },
                  { text: 'Eight', value: 8 },
                ], []);

                return (
                  <MDBRow tag='form' className='row-cols-lg-auto g-3 align-items-center'>
                    <MDBCol size='12'>
                      <MDBInputGroup className='mb-3'>
                        <MDBInputGroupText>@</MDBInputGroupText>
                        <MDBInputGroupElement type='text' placeholder='Username' />
                      </MDBInputGroup>
                    </MDBCol>
                    <MDBCol size='12'>
                      <MDBSelect data={selectData} />
                    </MDBCol>
                    <MDBCol size='12'>
                      <MDBCheckbox label='Remember me' />
                    </MDBCol>
                    <MDBCol size='12'>
                      <MDBBtn type='submit'>Submit</MDBBtn>
                    </MDBCol>
                  </MDBRow>
                );
              }
            
        
    

If you want to support our friends from TW Elements you can also check out the Tailwind forms documentation.


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Forms

Vue Bootstrap 5 Forms

Examples and usage guidelines for form control styles, layout options, and custom components for creating a wide variety of forms.

This is a general overview with a summary of the most fundamental knowledge. For the more detailed information regarding specific form, types have a look at the dedicated documentation pages.

Video tutorial


Basic example

A basic example of a simple login form with input fields (email and password), checkbox and submit button.

Checkbox and "forgot password" link are positioned inline by using 2 column grid layout.

Note: Most of the demo examples have a fixed width for the demo purpose.
Included code examples do not have a fixed width, so they'll naturally fill the full width of its parent element.
To control the width of the form place it in the grid, use the sizing utilities, or set the width inline.

        
            
            <template>
              <form>
                <!-- Email input -->
                <MDBInput
                  type="email"
                  label="Email address"
                  id="form1Email"
                  v-model="form1Email"
                  wrapperClass="mb-4"
                />
                <!-- Password input --> 
                <MDBInput
                  type="password"
                  label="Password"
                  id="form1Password"
                  v-model="form1Password"
                  wrapperClass="mb-4"
                />
                <!-- 2 column grid layout for inline styling -->
                <MDBRow class="mb-4">
                  <MDBCol class="d-flex justify-content-center">
                    <!-- Checkbox -->
                    <MDBCheckbox
                      label="Remember me"
                      id="form1LoginCheck"
                      v-model="form1LoginCheck"
                      wrapperClass="mb-3 mb-md-0"
                    />
                  </MDBCol>
                  <MDBCol>
                    <!-- Simple link -->
                    <a href="#!">Forgot password?</a>
                  </MDBCol>
                </MDBRow>
                <!-- Submit button -->
                <MDBBtn color="primary" block> Sign in </MDBBtn>
              </form>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow,
                  MDBCol,
                  MDBInput,
                  MDBCheckbox,
                  MDBBtn,
                },
                setup() {
                  const form1Email = ref("");
                  const form1Password = ref("");
                  const form1LoginCheck = ref(true);

                  return {
                    form1Email,
                    form1Password,
                    form1LoginCheck,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              
              const form1Email = ref("");
              const form1Password = ref("");
              const form1LoginCheck = ref(true);
            </script>
          
        
    

Every group of form fields should reside in a <form> element. MDB provides no default styling for the <form> element, but there are some powerful browser features that are provided by default.

  • New to browser forms? Consider reviewing the MDN form docs for an overview and complete list of available attributes.
  • <button>s within a <form> default to type="submit", so strive to be specific and always include a type.
  • You can disable every form element within a form with the disabled attribute on the <form>.

Since MDB applies display: block and width: 100% to almost all our form controls, forms will by default stack vertically. Additional classes can be used to vary this layout on a per-form basis.


Examples

Login form

Typical login form with additional register buttons.

Not a member? Register

or sign up with:

        
            
            <template>
              <form>
                <!-- Email input -->
                <MDBInput
                  type="email"
                  label="Email address"
                  id="form2Email"
                  v-model="form2Email"
                  wrapperClass="mb-4"
                />
                <!-- Password input --> 
                <MDBInput
                  type="password"
                  label="Password"
                  id="form2Password"
                  v-model="form2Password"
                  wrapperClass="mb-4"
                />
                <!-- 2 column grid layout for inline styling -->
                <MDBRow class="mb-4">
                  <MDBCol class="d-flex justify-content-center">
                    <!-- Checkbox -->
                    <MDBCheckbox
                      label="Remember me"
                      id="form2LoginCheck"
                      v-model="form2LoginCheck"
                      wrapperClass="mb-3 mb-md-0"
                    />
                  </MDBCol>
                  <MDBCol>
                    <!-- Simple link -->
                    <a href="#!">Forgot password?</a>
                  </MDBCol>
                </MDBRow>
                <!-- Submit button -->
                <MDBBtn color="primary" block> Sign in </MDBBtn>

                <!-- Register buttons -->
                <div class="text-center">
                  <p>Not a member? <a href="#!">Register</a></p>
                  <p>or sign up with:</p>
                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="facebook-f"/>>
                  </MDBBtn>

                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="google"/>
                  </MDBBtn>

                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="twitter"/>
                  </MDBBtn>

                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="github"/>
                  </MDBBtn>
                </div>
              </form>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow,
                  MDBCol,
                  MDBInput,
                  MDBCheckbox,
                  MDBBtn,
                  MDBIcon
                },
                setup() {
                  const form2Email = ref("");
                  const form2Password = ref("");
                  const form2LoginCheck = ref(true);

                  return {
                    form2Email,
                    form2Password,
                    form2LoginCheck,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form2Email = ref("");
              const form2Password = ref("");
              const form2LoginCheck = ref(true);
            </script>
          
        
    

Register form

Typical register form with additional register buttons.

or sign up with:

        
            
            <template>
              <form>
                <!-- 2 column grid layout with text inputs for the first and last names -->
                <MDBRow class="mb-4">
                  <MDBCol>
                    <MDBInput
                      type="text"
                      label="First name"
                      id="form3FirstName"
                      v-model="form3FirstName"
                    />
                  </MDBCol>
                  <MDBCol>
                    <MDBInput
                      type="text"
                      label="Last name"
                      id="form3LastName"
                      v-model="form3LastName"
                    />
                  </MDBCol>
                </MDBRow>
                <!-- Email input -->
                <MDBInput
                  type="email"
                  label="Email address"
                  id="form3Email"
                  v-model="form3Email"
                  wrapperClass="mb-4"
                />
                <!-- Password input -->
                <MDBInput
                  type="password"
                  label="Password"
                  id="form3Password"
                  v-model="form3Password"
                  wrapperClass="mb-4"
                />

                <!-- Checkbox -->
                <MDBCheckbox
                  label="Remember me"
                  id="form3SubscribeCheck"
                  v-model="form3SubscribeCheck"
                  wrapperClass="d-flex justify-content-center mb-4"
                />

                <!-- Submit button -->
                <MDBBtn color="primary" block class="mb-4"> Sign up </MDBBtn>

                <!-- Register buttons -->
                <div class="text-center">
                  <p>or sign up with:</p>
                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="facebook-f" />>
                  </MDBBtn>

                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="google" />
                  </MDBBtn>

                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="twitter" />
                  </MDBBtn>

                  <MDBBtn color="secondary" floating class="mx-1">
                    <MDBIcon iconStyle="fab" icon="github" />
                  </MDBBtn>
                </div>
              </form>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow,
                  MDBCol,
                  MDBInput,
                  MDBCheckbox,
                  MDBBtn,
                  MDBIcon
                },
                setup() {
                  const form3FirstName = ref("");
                  const form3LastName = ref("");
                  const form3Email = ref("");
                  const form3Password = ref("");
                  const form3SubscribeCheck = ref(true);

                  return {
                    form3FirstName,
                    form3LastName,
                    form3Email,
                    form3Password,
                    form3SubscribeCheck
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBRow,
                MDBCol,
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form3FirstName = ref("");
              const form3LastName = ref("");
              const form3Email = ref("");
              const form3Password = ref("");
              const form3SubscribeCheck = ref(true);
            </script>
          
        
    

Contact form

Typical contact form with textarea input as a message field.

        
            
            <template>
              <form>
                <!-- Name input -->
                <MDBInput
                  type="text"
                  label="Name"
                  id="form4Name"
                  v-model="form4Name"
                  wrapperClass="mb-4"
                />

                <!-- Email input -->
                <MDBInput
                  type="email"
                  label="Email address"
                  id="form4Email"
                  v-model="form4Email"
                  wrapperClass="mb-4"
                />

                <!-- Message input -->
                <MDBTextarea
                  label="Message"
                  id="form4Textarea"
                  v-model="form4Textarea"
                  wrapperClass="mb-4"
                />

                <!-- Checkbox -->
                <div class="form-check d-flex justify-content-center mb-4">
                  <MDBCheckbox
                    label="Send me a copy of this message"
                    id="form4CopyCheck"
                    v-model="form4CopyCheck"
                  />
                </div>

                <!-- Submit button -->
                <MDBBtn color="primary" block class="mb-4"> Send </MDBBtn>
              </form>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBTextarea
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBInput,
                  MDBCheckbox,
                  MDBBtn,
                  MDBTextarea
                },
                setup() {
                  const form4Name = ref("");
                  const form4Email = ref("");
                  const form4Password = ref("");
                  const form4Textarea = ref("");
                  const form4CopyCheck = ref(true);

                  return {
                    form4Name,
                    form4Email,
                    form4Password,
                    form4Textarea,
                    form4CopyCheck
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBInput,
                MDBCheckbox,
                MDBBtn,
                MDBTextarea
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form4Name = ref("");
              const form4Email = ref("");
              const form4Password = ref("");
              const form4Textarea = ref("");
              const form4CopyCheck = ref(true);
            </script>
          
        
    

Subscription form

A typical subscription form used when subscribing to the newsletter.

        
            
            <template>
              <form>
                <!-- Name input -->
                <MDBInput
                  type="text"
                  label="Name"
                  id="form5Name"
                  v-model="form5Name"
                  wrapperClass="mb-4"
                />

                <!-- Email input -->
                <MDBInput
                  type="email"
                  label="Email address"
                  id="form5Email"
                  v-model="form5Email"
                  wrapperClass="mb-4"
                />

                <!-- Checkbox -->
                <MDBCheckbox
                  label="I have read and agree to the terms"
                  id="form5TermsCheck"
                  v-model="form5TermsCheck"
                  wrapperClass="d-flex justify-content-center mb-4"
                />

                <!-- Submit button -->
                <MDBBtn color="primary" block class="mb-4"> Subscribe </MDBBtn>
              </form>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBInput,
                MDBCheckbox,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBInput,
                  MDBCheckbox,
                  MDBBtn,
                },
                setup() {
                  const form5Name = ref("");
                  const form5Email = ref("");
                  const form5TermsCheck = ref(true);

                  return {
                    form5Name,
                    form5Email,
                    form5TermsCheck
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBInput,
                MDBCheckbox,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form5Name = ref("");
              const form5Email = ref("");
              const form5TermsCheck = ref(true);
            </script>
          
        
    

Checkout form

An example of the extended form with typical checkout inputs.

        
            
            <template>
              <form>
                <!-- 2 column grid layout with text inputs for the first and last names -->
                <MDBRow class="mb-4">
                  <MDBCol>
                    <MDBInput
                      type="text"
                      label="First Name"
                      id="form6FirstName"
                      v-model="form6FirstName"
                    />
                  </MDBCol>
                  <MDBCol>
                    <MDBInput
                      type="text"
                      label="Last Name"
                      id="form6LastName"
                      v-model="form6LastName"
                    />
                  </MDBCol>
                </MDBRow>

                <!-- Text input -->
                <MDBInput
                  type="text"
                  label="Company Name"
                  id="form6CompanyName"
                  v-model="form6CompanyName"
                  wrapperClass="mb-4"
                />

                <!-- Text input -->
                <MDBInput
                  type="text"
                  label="Address"
                  id="form6Address"
                  v-model="form6Address"
                  wrapperClass="mb-4"
                />

                <!-- Email input -->
                <MDBInput
                  type="email"
                  label="Email"
                  id="form6Email"
                  v-model="form6Email"
                  wrapperClass="mb-4"
                />

                <!-- Number input -->
                <MDBInput
                  type="tel"
                  label="Phone"
                  id="form6Phone"
                  v-model="form6Phone"
                  wrapperClass="mb-4"
                />

                <!-- Message input -->
                <MDBTextarea
                  label="Additional information"
                  id="form6Info"
                  v-model="form6Info"
                  wrapperClass="mb-4"
                />

                <!-- Checkbox -->
                <MDBCheckbox
                  label="Create an account?"
                  id="form6CreateCheckbox"
                  v-model="form6CreateCheckbox"
                  wrapperClass="d-flex justify-content-center mb-4"
                />

                <!-- Submit button -->
                <MDBBtn color="primary" block class="mb-4">
                  Place order
                </MDBBtn>
              </form>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBInput,
                MDBCheckbox,
                MDBTextarea,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBInput,
                  MDBCheckbox,
                  MDBTextarea,
                  MDBBtn,
                },
                setup() {
                  const form6FirstName = ref("");
                  const form6LastName = ref("");
                  const form6CompanyName = ref("");
                  const form6Address = ref("");
                  const form6Email = ref("");
                  const form6Phone = ref("");
                  const form6Info = ref("");
                  const form6CreateCheckbox = ref(true);

                  return {
                    form6FirstName,
                    form6LastName,
                    form6CompanyName,
                    form6Address,
                    form6Email,
                    form6Phone,
                    form6Info,
                    form6CreateCheckbox
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBInput,
                MDBCheckbox,
                MDBTextarea,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form6FirstName = ref("");
              const form6LastName = ref("");
              const form6CompanyName = ref("");
              const form6Address = ref("");
              const form6Email = ref("");
              const form6Phone = ref("");
              const form6Info = ref("");
              const form6CreateCheckbox = ref(true);
            </script>
          
        
    

Login-register

By using pills you can place login and register forms into a single component.

Sign in with:

or:

Not a member? Register

Sign up with:

or:

        
            
            <template>
              <div>
                <MDBTabs v-model="form7ActiveTab">
                  <!-- Tabs navs -->
                  <MDBTabNav pills justify tabsClasses="mb-3">
                    <MDBTabItem tabId="form7-login" href="form7-login"
                      >Login</MDBTabItem
                    >
                    <MDBTabItem tabId="form7-register" href="form7-register"
                      >Register</MDBTabItem
                    >
                  </MDBTabNav>
                  <!-- Tabs navs -->
                  <!-- Tabs content -->
                  <MDBTabContent>
                    <MDBTabPane tabId="form7-login">
                      <form>
                        <div class="text-center mb-3">
                          <p>Sign in with:</p>
                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="facebook-f" />>
                          </MDBBtn>

                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="google" />
                          </MDBBtn>

                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="twitter" />
                          </MDBBtn>

                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="github" />
                          </MDBBtn>
                        </div>

                        <p class="text-center">or:</p>

                        <!-- Email input -->
                        <MDBInput
                          type="email"
                          label="Email address"
                          id="form7LoginEmail"
                          v-model="form7LoginEmail"
                          wrapperClass="mb-4"
                        />

                        <!-- Password input -->
                        <MDBInput
                          type="password"
                          label="Password"
                          id="form7LoginPassword"
                          v-model="form7LoginPassword"
                          wrapperClass="mb-4"
                        />

                        <!-- 2 column grid layout for inline styling -->
                        <MDBRow class="mb-4">
                          <MDBCol class="d-flex justify-content-center">
                            <!-- Checkbox -->
                            <MDBCheckbox
                              label="Remember me"
                              id="form7LoginCheck"
                              v-model="form7LoginCheck"
                              wrapperClass="mb-3 mb-md-0"
                            />
                          </MDBCol>

                          <MDBCol>
                            <!-- Simple link -->
                            <a href="#!">Forgot password?</a>
                          </MDBCol>
                        </MDBRow>

                        <!-- Submit button -->
                        <MDBBtn color="primary" block class="mb-4"> Sign in </MDBBtn>

                        <!-- Register buttons -->
                        <div class="text-center">
                          <p>Not a member? <a href="#!">Register</a></p>
                        </div>
                      </form>
                    </MDBTabPane>
                    <MDBTabPane tabId="form7-register">
                      <form>
                        <div class="text-center mb-3">
                          <p>Sign up with:</p>
                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="facebook-f" />>
                          </MDBBtn>

                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="google" />
                          </MDBBtn>

                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="twitter" />
                          </MDBBtn>

                          <MDBBtn color="secondary" floating class="mx-1">
                            <MDBIcon iconStyle="fab" icon="github" />
                          </MDBBtn>
                        </div>

                        <p class="text-center">or:</p>

                        <!-- Name input -->
                        <MDBInput
                          type="text"
                          label="Name"
                          id="form7RegisterName"
                          v-model="form7RegisterName"
                          wrapperClass="mb-4"
                        />

                        <!-- Username input -->
                        <MDBInput
                          type="text"
                          label="Username"
                          id="form7RegisterUsername"
                          v-model="form7RegisterUsername"
                          wrapperClass="mb-4"
                        />

                        <!-- Email input -->
                        <MDBInput
                          type="email"
                          label="Email"
                          id="form7RegisterEmail"
                          v-model="form7RegisterEmail"
                          wrapperClass="mb-4"
                        />

                        <!-- Password input -->
                        <MDBInput
                          type="password"
                          label="Password"
                          id="form7RegisterPassword"
                          v-model="form7RegisterPassword"
                          wrapperClass="mb-4"
                        />

                        <!-- Repeat Password input -->
                        <MDBInput
                          type="password"
                          label="Repeat password"
                          id="form7RegisterPasswordRepeat"
                          v-model="form7RegisterPasswordRepeat"
                          wrapperClass="mb-4"
                        />

                        <!-- Checkbox -->
                        <MDBCheckbox
                          label="I have read and agree to the terms"
                          id="form7RegsiterTermsCheck"
                          v-model="form7RegsiterTermsCheck"
                          wrapperClass="d-flex justify-content-center mb-4"
                        />

                        <!-- Submit button -->
                        <MDBBtn color="primary" block class="mb-3">
                          Sign in
                        </MDBBtn>
                      </form>
                    </MDBTabPane>
                  </MDBTabContent>
                  <!-- Tabs content -->
                </MDBTabs>
              </div>
            </template>
          
        
    
        
            
            <script>
             import {
                MDBInput,
                MDBCheckbox,
                MDBTextarea,
                MDBBtn,
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBInput,
                  MDBCheckbox,
                  MDBTextarea,
                  MDBBtn,
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                  MDBIcon
                },
                setup() {
                  const form7ActiveTab = ref("form7-login");
                  const form7LoginEmail = ref("");
                  const form7LoginPassword = ref("");
                  const form7LoginCheck = ref(true);
                  const form7RegisterName = ref("");
                  const form7RegisterUsername = ref("");
                  const form7RegisterEmail = ref("");
                  const form7RegisterPassword = ref("");
                  const form7RegisterPasswordRepeat = ref("");
                  const form7RegsiterTermsCheck = ref(true);

                  return {
                    form7ActiveTab,
                    form7LoginEmail,
                    form7LoginPassword,
                    form7LoginCheck,
                    form7RegisterName,
                    form7RegisterUsername,
                    form7RegisterEmail,
                    form7RegisterPassword,
                    form7RegisterPasswordRepeat,
                    form7RegsiterTermsCheck
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
            import {
                MDBInput,
                MDBCheckbox,
                MDBTextarea,
                MDBBtn,
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form7ActiveTab = ref("form7-login");
              const form7LoginEmail = ref("");
              const form7LoginPassword = ref("");
              const form7LoginCheck = ref(true);
              const form7RegisterName = ref("");
              const form7RegisterUsername = ref("");
              const form7RegisterEmail = ref("");
              const form7RegisterPassword = ref("");
              const form7RegisterPasswordRepeat = ref("");
              const form7RegsiterTermsCheck = ref(true);
            </script>
          
        
    

Layout

There are multiple ways to structure forms and provide them the desired layout. Have a look at the examples below to learn more about forms layout.

Utilities

Margin utilities are the easiest way to add some structure to forms. They provide basic grouping of labels, controls, optional form text, and form validation messaging. We recommend sticking to margin-bottom utilities, and using a single direction throughout the form for consistency.

Feel free to build your forms however you like, with <fieldset>s, <div>s, or nearly any other element.

In the example below, we add .mb-4 class to provide a proper margin between two input fields.

        
            
            <template>
              <!-- Name input -->
              <MDBInput
                type="text"
                label="Name"
                id="form8Name"
                v-model="form8Name"
                wrapperClass="mb-4"
              />

              <!-- Email input -->
              <MDBInput
                type="email"
                label="Email"
                id="form8Email"
                v-model="form8Email"
                wrapperClass="mb-4"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBInput
                },
                setup() {
                  const form8Name = ref("");
                  const form8Email = ref("");

                  return {
                    form8Name,
                    form8Email
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              
              const form8Name = ref("");
              const form8Email = ref("");
            </script>
          
        
    

Form grid

More complex forms can be built using our grid classes. Use these for form layouts that require multiple columns, varied widths, and additional alignment options. Requires the $enable-grid-classes Sass variable to be enabled (on by default).


        
            
            <template>
              <MDBRow>
                <MDBCol>
                  <!-- Name input -->
                  <MDBInput
                    type="text"
                    label="Name"
                    id="form9Name"
                    v-model="form9Name"
                  />
                </MDBCol>
                <MDBCol>
                  <!-- Email input -->
                  <MDBInput
                    type="email"
                    label="Email address"
                    id="form9Email"
                    v-model="form9Email"
                  />
                </MDBCol>
              </MDBRow>

              <hr />

              <MDBRow>
                <MDBCol>
                  <!-- Name input -->
                  <MDBInput
                    type="text"
                    label="First name"
                    id="form9FirstName"
                    v-model="form9FirstName"
                  />
                </MDBCol>
                <MDBCol>
                  <!-- Name input -->
                  <MDBInput
                    type="text"
                    label="Last name"
                    id="form9LastName"
                    v-model="form9LastName"
                  />
                </MDBCol>
                <MDBCol>
                  <!-- Email input -->
                  <MDBInput
                    type="email"
                    label="Email address"
                    id="form9Email2"
                    v-model="form9Email2"
                  />
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow, 
                  MDBCol,
                  MDBInput
                },
                setup() {
                  const form9Name = ref("");
                  const form9Email = ref("");
                  const form9FirstName = ref("");
                  const form9LastName = ref("");
                  const form9Email2 = ref("");

                  return {
                    form9Name,
                    form9Email,
                    form9FirstName,
                    form9LastName,
                    form9Email2
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRow, MDBCol, MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              
              const form9Name = ref("");
              const form9Email = ref("");
              const form9FirstName = ref("");
              const form9LastName = ref("");
              const form9Email2 = ref("");
            </script>
          
        
    

Gutters

By adding gutter modifier classes, you can have control over the gutter width in as well the inline as block direction. Also requires the $enable-grid-classes Sass variable to be enabled (on by default).


        
            
            <template>
              <!-- Gutter g-1 -->
              <MDBRow class="g-1">
                <MDBCol>
                  <!-- Name input -->
                  <MDBInput
                    type="text"
                    label="Name"
                    id="form10Name"
                    v-model="form10Name"
                  />
                </MDBCol>
                <MDBCol>
                  <!-- Email input -->
                  <MDBInput
                    type="email"
                    label="Email address"
                    id="form10Email"
                    v-model="form10Email"
                  />
                </MDBCol>
              </MDBRow>

              <hr />

              <!-- Gutter g-5 -->
              <MDBRow class="g-5">
                <MDBCol>
                  <!-- Name input -->
                  <MDBInput
                    type="text"
                    label="Name"
                    id="form10Name2"
                    v-model="form10Name2"
                  />
                </MDBCol>
                <MDBCol>
                  <!-- Email input -->
                  <MDBInput
                    type="email"
                    label="Email address"
                    id="form10Email2"
                    v-model="form10Email2"
                  />
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow, 
                  MDBCol,
                  MDBInput
                },
                setup() {
                  const form10Name = ref("");
                  const form10Email = ref("");
                  const form10Name2 = ref("");
                  const form10Email2 = ref("");

                  return {
                    form10Name,
                    form10Email,
                    form10Name2,
                    form10Email2
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRow, MDBCol, MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              
              const form10Name = ref("");
              const form10Email = ref("");
              const form10Name2 = ref("");
              const form10Email2 = ref("");
            </script>
          
        
    

Column sizing

As shown in the previous examples, our grid system allows you to place any number of MDBCols within a MDBRow. They’ll split the available width equally between them. You may also pick a subset of your columns to take up more or less space, while the remaining MDBCols equally split the rest, with specific column properties like sm="7".

        
            
            <template>
              <MDBRow class="g-3">
                <MDBCol sm="7">
                  <MDBInput
                    type="text"
                    label="Name"
                    id="form11Name"
                    v-model="form11Name"
                  />
                </MDBCol>
                <MDBCol sm>
                  <MDBInput
                    type="text"
                    label="Name"
                    id="form11Name2"
                    v-model="form11Name2"
                  />
                </MDBCol>
                <MDBCol sm>
                  <MDBInput
                    type="text"
                    label="Name"
                    id="form11Name3"
                    v-model="form11Name3"
                  />
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow, 
                  MDBCol,
                  MDBInput
                },
                setup() {
                  const form11Name = ref("");
                  const form11Name2 = ref("");
                  const form11Name3 = ref("");

                  return {
                    form11Name,
                    form11Name2,
                    form11Name3,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRow, MDBCol, MDBInput } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              
              const form11Name = ref("");
              const form11Name2 = ref("");
              const form11Name3 = ref("");
            </script>
          
        
    

Auto-sizing

The example below uses a flexbox utility to vertically center the contents and changes MDBCol to MDBCol auto so that your columns only take up as much space as needed. Put another way, the column sizes itself based on the contents.

        
            
            <template>
              <MDBRow tag="form" class="gy-2 gx-3 align-items-center">
                <MDBCol auto>
                  <MDBInput
                    type="text"
                    label="Label"
                    id="form12Input1"
                    v-model="form12Input1"
                  />
                </MDBCol>
                <MDBCol auto>
                  <MDBCheckbox
                    label="Checked"
                    id="form12Checkbox"
                    v-model="form12Checkbox"
                  />
                </MDBCol>
                <MDBCol auto>
                  <MDBInput
                    type="text"
                    label="Label"
                    id="form12Input2"
                    v-model="form12Input2"
                  />
                </MDBCol>
                <MDBCol auto>
                  <MDBSwitch
                    label="Checked switch checkbox input"
                    v-model="form12Switch"
                  />
                </MDBCol>
                <MDBCol auto>
                  <MDBBtn color="primary">Submit</MDBBtn>
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBInput, MDBSwitch, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow, 
                  MDBCol,
                  MDBInput,
                  MDBSwitch, 
                  MDBBtn
                },
                setup() {
                  const form12Input1 = ref("");
                  const form12Checkbox = ref(true);
                  const form12Input2 = ref("");
                  const form12Switch = ref(true);

                  return {
                    form12Input1,
                    form12Checkbox,
                    form12Input2,
                    form12Switch
                  };
                },
              };
            </script>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBInput, MDBSwitch, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";
              
              const form12Input1 = ref("");
              const form12Checkbox = ref(true);
              const form12Input2 = ref("");
              const form12Switch = ref(true);
            </script>
          
        
    

Inline forms

Use the MDBRow cols="*" property to create responsive horizontal layouts. By adding gutter modifier classes, we’ll have gutters in horizontal and vertical directions. On narrow mobile viewports, the MDBCOl col="12" helps stack the form controls and more. The MDBRow center aligns the form elements to the middle, making the MDBCheckbox align properly.

@
        
            
            <template>
              <MDBRow tag="form" cols="lg-auto" center class="g-3">
                <MDBCol col="12">
                  <MDBInput
                    inputGroup
                    :formOutline="false"
                    v-model="form13Input"
                    aria-describedby="inputGroupPrepend"
                    aria-label="Username"
                    placeholder="Username"
                  >
                    <template name="prepend">
                      <span class="input-group-text" id="inputGroupPrepend"
                        >@</span
                      >
                    </template>
                  </MDBInput>
                </MDBCol>

                <MDBCol col="12">
                  <MDBSelect
                    v-model:options="form13SelectOptions"
                    v-model:selected="form13Selected"
                  />
                </MDBCol>

                <MDBCol col="12">
                  <MDBCheckbox
                    label="Remember me"
                    id="form13Checkbox"
                    v-model="form13Checkbox"
                  />
                </MDBCol>

                <MDBCol col="12">
                  <MDBBtn type="submit" color="primary">Submit</MDBBtn>
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol, MDBInput, MDBSwitch, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRow, 
                  MDBCol,
                  MDBInput,
                  MDBSwitch, 
                  MDBBtn
                },
                setup() {
                  const form12Input1 = ref("");
                  const form12Checkbox = ref(true);
                  const form12Input2 = ref("");
                  const form12Switch = ref(true);

                  return {
                    form12Input1,
                    form12Checkbox,
                    form12Input2,
                    form12Switch
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRow, MDBCol, MDBInput, MDBSwitch, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const form12Input1 = ref("");
              const form12Checkbox = ref(true);
              const form12Input2 = ref("");
              const form12Switch = ref(true);
            </script>
          
        
    

If you want to support our friends from TW Elements you can also check out the Tailwind forms documentation.


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!